<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>FleetConnectivityService (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FleetConnectivityService (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FleetConnectivityService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityMessage.html" title="class in com.here.android.mpa.fce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/fce/FleetConnectivityService.html" target="_top">Frames</a></li>
<li><a href="FleetConnectivityService.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.fce</div>
<h2 title="Class FleetConnectivityService" class="title">Class FleetConnectivityService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.fce.FleetConnectivityService</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">FleetConnectivityService</span>
extends java.lang.Object</pre>
<div class="block">Main component of Fleet Connectivity Extension responsible for communication.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce">FleetConnectivityService.Listener</a></span></code>
<div class="block">Represents a listener to handle <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityService</code></a> incoming messages.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#forcePoll--">forcePoll</a></span>()</code>
<div class="block">Forces poll of new events, if the service is running.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#getAssetId--">getAssetId</a></span>()</code>
<div class="block">Sets the asset ID that identifies this device.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#getDispatcherId--">getDispatcherId</a></span>()</code>
<div class="block">Dispatcher ID that identifies the user of this device.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce">FleetConnectivityService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Returns the <code>FleetConnectivityService</code> singleton instance.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#getPollingInterval--">getPollingInterval</a></span>()</code>
<div class="block">Polling interval specified in seconds.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#getRunningJobId--">getRunningJobId</a></span>()</code>
<div class="block">Retrieves the ID of currently running job.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#sendEvent-com.here.android.mpa.fce.FleetConnectivityEvent-">sendEvent</a></span>(<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html" title="class in com.here.android.mpa.fce">FleetConnectivityEvent</a> event)</code>
<div class="block">Dispatches the provided event.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#setAssetId-java.lang.String-">setAssetId</a></span>(java.lang.String assetId)</code>
<div class="block">Asset ID that identifies this device.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#setDispatcherId-java.lang.String-">setDispatcherId</a></span>(java.lang.String dispatcherId)</code>
<div class="block">Sets the dispatcher ID that identifies the user of this device.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#setListener-com.here.android.mpa.fce.FleetConnectivityService.Listener-">setListener</a></span>(<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce">FleetConnectivityService.Listener</a> listener)</code>
<div class="block">Sets the <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce"><code>Listener</code></a> that listens for messages from
 the <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityService</code></a>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#setPollingInterval-long-">setPollingInterval</a></span>(long interval)</code>
<div class="block">Sets the polling interval specified in seconds.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#start--">start</a></span>()</code>
<div class="block">Starts the service if it is not already started.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html#stop--">stop</a></span>()</code>
<div class="block">Stops the service if it is running.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce">FleetConnectivityService</a> getInstance()</pre>
<div class="block">Returns the <code>FleetConnectivityService</code> singleton instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>FleetConnectivityService</code> instance.</dd>
</dl>
</li>
</ul>
<a name="start--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>public boolean start()</pre>
<div class="block">Starts the service if it is not already started. Fails if assetId or dispatcherId is not set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>false if assetId or dispatcherId is not set or service is already started.</dd>
</dl>
</li>
</ul>
<a name="stop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>public boolean stop()</pre>
<div class="block">Stops the service if it is running.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>false if service is not running.</dd>
</dl>
</li>
</ul>
<a name="forcePoll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forcePoll</h4>
<pre>public boolean forcePoll()</pre>
<div class="block">Forces poll of new events, if the service is running.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>false if service is not running.</dd>
</dl>
</li>
</ul>
<a name="sendEvent-com.here.android.mpa.fce.FleetConnectivityEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendEvent</h4>
<pre>public boolean sendEvent(<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html" title="class in com.here.android.mpa.fce">FleetConnectivityEvent</a> event)</pre>
<div class="block">Dispatches the provided event.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - The FleetConnectivityEvent instance. See <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityJobStartedEvent</code></a>,
              <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobRejectedEvent.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityJobRejectedEvent</code></a>,
              <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobFinishedEvent.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityJobFinishedEvent</code></a>,
              <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobCancelledEvent.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityJobCancelledEvent</code></a> and
              <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityCustomEvent.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityCustomEvent</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>false if service is not running or conditions for given event are not met.</dd>
</dl>
</li>
</ul>
<a name="getRunningJobId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunningJobId</h4>
<pre>public java.lang.String getRunningJobId()</pre>
<div class="block">Retrieves the ID of currently running job.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ID of the currently running job. Null if no job is in progress.</dd>
</dl>
</li>
</ul>
<a name="getAssetId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssetId</h4>
<pre>public java.lang.String getAssetId()</pre>
<div class="block">Sets the asset ID that identifies this device. Will be reported in every event dispatched to
 the server. Server provides new messages based on this ID. Service won't start if it is not
 specified.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Specified assetId.</dd>
</dl>
</li>
</ul>
<a name="setAssetId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAssetId</h4>
<pre>public void setAssetId(java.lang.String assetId)</pre>
<div class="block">Asset ID that identifies this device. Will be reported in every event dispatched to the
 server. Server provides new messages based on this ID. Service won't start if it is not
 specified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>assetId</code> - Specified assetId.</dd>
</dl>
</li>
</ul>
<a name="getDispatcherId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDispatcherId</h4>
<pre>public java.lang.String getDispatcherId()</pre>
<div class="block">Dispatcher ID that identifies the user of this device. Service won't start if it is not
 specified.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Specified dispatcherId.</dd>
</dl>
</li>
</ul>
<a name="setDispatcherId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDispatcherId</h4>
<pre>public void setDispatcherId(java.lang.String dispatcherId)</pre>
<div class="block">Sets the dispatcher ID that identifies the user of this device. Service won't start if it is
 not specified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dispatcherId</code> - Specified dispatcherId.</dd>
</dl>
</li>
</ul>
<a name="getPollingInterval--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPollingInterval</h4>
<pre>public long getPollingInterval()</pre>
<div class="block">Polling interval specified in seconds. Default value is 10 seconds.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Specified polling interval.</dd>
</dl>
</li>
</ul>
<a name="setPollingInterval-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPollingInterval</h4>
<pre>public void setPollingInterval(long interval)</pre>
<div class="block">Sets the polling interval specified in seconds. Default value is 10 seconds.
 Can be set to values greater than 0, otherwise exception is thrown.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>interval</code> - Specified polling interval.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if interval is equal or less than 0.</dd>
</dl>
</li>
</ul>
<a name="setListener-com.here.android.mpa.fce.FleetConnectivityService.Listener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setListener</h4>
<pre>public void setListener(<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce">FleetConnectivityService.Listener</a> listener)</pre>
<div class="block">Sets the <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce"><code>Listener</code></a> that listens for messages from
 the <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityService</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce"><code>Listener</code></a> that listens for messages from
                 the <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce"><code>FleetConnectivityService</code></a>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FleetConnectivityService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityMessage.html" title="class in com.here.android.mpa.fce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.Listener.html" title="interface in com.here.android.mpa.fce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/fce/FleetConnectivityService.html" target="_top">Frames</a></li>
<li><a href="FleetConnectivityService.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
